Preparing release 2.3.10, please test!

Chris Dukes pakraticus at
Thu Oct 22 18:29:08 CEST 2009


I went to check my patch to provide msgid in a result exception against
I have found a problem on constants.c

gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall
-DLDAPMODULE_VERSION=2.3.10 -IModules -I/usr/local/openldap-2.3/include
-I/usr/include/sasl -I/usr/include/python2.5 -c Modules/constants.c -o
Modules/constants.c: In function ‘LDAPinit_constants’:
Modules/constants.c:185: error: ‘LDAP_OPT_X_TLS_PROTOCOL_MIN’ undeclared
(first use in this function)
Modules/constants.c:185: error: (Each undeclared identifier is reported only
Modules/constants.c:185: error: for each function it appears in.)
error: command 'gcc' failed with exit status 1

This error is repeatable with a pristine checkout before I applied my patch.

This #define is not present in libldap2-dev 2.4.9-0ubuntu0 (Which ships with
Ubuntu Hardy), but is present in libldap2-dev 2.4.17-2 (Debian Sid).

I am currently disinclined to update libldap2 until a new ubuntu LTS is
released, but I do make use of python-virtualenv when I need a python
environment that is newer than the one that ships with ubuntu Hardy.

Chris Dukes
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <>

More information about the python-ldap mailing list